Name: H5Pget_dxpl_mpio
Signature:
  herr_t `H5Pget_dxpl_mpio`( hid_t `dxpl_id`, H5FD_mpio_xfer_t *`xfer_mode` )
Purpose:
  Returns the data transfer mode.
Description:
  `H5Pget_dxpl_mpio` queries the data transfer mode currently set in the data transfer property list `dxpl_id`.

  Upon return, `xfer_mode` contains the data transfer mode, if it is non-null.

  `H5Pget_dxpl_mpio` is not a collective function.

Parameters:

hid_t `dxpl_id` | IN: Data transfer property list identifier.
H5FD_mpio_xfer_t *`xfer_mode` | OUT: Data transfer mode.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_dxpl_mpio_f

      SUBROUTINE h5pget_dxpl_mpio_f(prp_id, data_xfer_mode, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id    ! Property list identifier
        INTEGER, INTENT(OUT) :: data_xfer_mode  ! Data transfer mode
                                                ! Possible values are:
                                                !    H5FD_MPIO_INDEPENDENT_F
                                                !    H5FD_MPIO_COLLECTIVE_F
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_dxpl_mpio_f

History:

Release | C
1.4.0 | Function introduced in this release.